## libktorrent 21.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

cmake_policy(SET CMP0057 NEW)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "21")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "1")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")


set(Boost_MIN_VERSION "1.71.0")
set(LibGMP_MIN_VERSION "6.0.0")
set(LibGcrypt_MIN_VERSION "1.4.5")
set(KF5_MIN_VERSION "5.82")
set(QT_MIN_VERSION "5.15.0")

set (SOVERSION 6)

project(LIBKTORRENT VERSION ${RELEASE_SERVICE_VERSION})

# set some default settings
enable_testing()

find_package(ECM ${KF5_MIN_VERSION}  NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

#
# checks for functions and stuff
#
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckTypeSize) #XFS

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings  NO_POLICY_SCOPE)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMMarkAsTest)
include(ECMSetupVersion)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(CMakePackageConfigHelpers)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX LIBKTORRENT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/libktorrent_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5TorrentConfigVersion.cmake"
                        SOVERSION "${SOVERSION}")

find_package(Qt5 "${QT_MIN_VERSION}" CONFIG REQUIRED COMPONENTS
    Core
    Network
    Xml
    Test
)

# Load the frameworks we need
find_package(KF5 "${KF5_MIN_VERSION}" REQUIRED COMPONENTS
    Archive
    Crash
    I18n
    KIO
    Solid
)

find_package(Boost "${Boost_MIN_VERSION}" MODULE REQUIRED)
find_package(LibGMP "${LibGMP_MIN_VERSION}" REQUIRED)
find_package(LibGcrypt "${LibGcrypt_MIN_VERSION}" REQUIRED)
find_package(Qca-qt5 CONFIG REQUIRED)

kde_enable_exceptions()
add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
#   -DQT_NO_CAST_FROM_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_NO_CAST_TO_BYTEARRAY
  -DQT_NO_KEYWORDS
  -DQT_USE_FAST_OPERATOR_PLUS
)
add_definitions(-DTRANSLATION_DOMAIN="libktorrent5")

#XFS prealloc
check_include_files(xfs/xfs.h HAVE_XFS_XFS_H)
if(HAVE_XFS_XFS_H)
    set(CMAKE_EXTRA_INCLUDE_FILES xfs/xfs.h)
    check_type_size(__u64 HAVE___U64)
    check_type_size(__s64 HAVE___S64)
    set(CMAKE_EXTRA_INCLUDE_FILES)
endif()

# check for 64 bit file I/O functions
check_function_exists(fopen64 HAVE_FOPEN64)
check_function_exists(fseeko64 HAVE_FSEEKO64)
check_function_exists(fseeko HAVE_FSEEKO)
check_function_exists(ftello64 HAVE_FTELLO64)
check_function_exists(ftello HAVE_FTELLO)
check_function_exists(fstat64 HAVE_FSTAT64)
check_function_exists(stat64 HAVE_STAT64)
check_function_exists(ftruncate64 HAVE_FTRUNCATE64)
check_function_exists(lseek64 HAVE_LSEEK64)
check_function_exists(mmap64 HAVE_MMAP64)
check_function_exists(munmap64 HAVE_MUNMAP64)
check_function_exists(posix_fallocate64 HAVE_POSIX_FALLOCATE64)
check_function_exists(posix_fallocate HAVE_POSIX_FALLOCATE)
check_function_exists(fallocate HAVE_FALLOCATE)
check_function_exists(statvfs HAVE_STATVFS)
check_function_exists(statvfs64 HAVE_STATVFS64)

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(testlib)
endif()
add_subdirectory(examples)
add_subdirectory(doc)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Torrent")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5TorrentConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5TorrentConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              PATH_VARS INCLUDE_INSTALL_DIR
                              )

# Install the CMake modules needed to use libktorrent
add_subdirectory(cmake)

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5TorrentConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5TorrentConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KF5TorrentTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5TorrentTargets.cmake NAMESPACE KF5:: )

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

ki18n_install(po)

=== debian/changelog ===
libktorrent (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)
  * Update symbols, NOTE: this was a very tricky symbols update; apparently some
    leaked symbols triggered the pkgkde-symbolshelper type substitution, which
    replaced some 'm' with '{size_t}', then, this also confused dpkg-gensymbols
    which didn't recognize the substitutions, complaining continuously that
    they were new symbols. As a workaround for this situation, I added the
    symbols in question manually, removing the '{size_t}' substitution.
  * Add doxygen to Build-Depends

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:40:47 +0100

libktorrent (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:10:31 +0100

libktorrent (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:05:03 +0100

libktorrent (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 17 Jul 2021 19:19:41 +0100

libktorrent (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:51:51 +0100

libktorrent (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:49:16 +0100

libktorrent (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:15:41 +0100

=== debian/control ===
Source: libktorrent
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 1.0.0),
               gettext,
               libboost-dev,
               libgcrypt20-dev,
               libgmp-dev,
               libkf5archive-dev (>= 5.15),
               libkf5crash-dev (>= 5.15),
               libkf5i18n-dev (>= 5.15),
               libkf5kio-dev (>= 5.15),
               libkf5solid-dev (>= 5.15),
               libqca-qt5-2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://www.kde.org/applications/internet/ktorrent/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/libktorrent.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/libktorrent

Package: libkf5torrent6abi1
X-Debian-ABI: 1
X-CMake-Target: KF5Torrent
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libktorrent-l10n (>= ${source:Version})
Description: KTorrent library for C++ / Qt 5 / KDE Frameworks
 The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
 the BitTorrent protocol (mostly client side).
 .
 The library supports connectivity to HTTP and UDP trackers, mainline DHT and
 the new generation Micro Transport Protocol (uTP). In addition, it provides
 many powerful BitTorrent network features including but not limited to torrent
 downloading and seeding, torrent creation and downloaded data verification,
 magnet links, advanced peer management, IP blocking lists.

Package: libktorrent-dev
Architecture: any
Section: libdevel
Depends: libboost-dev,
         libgcrypt20-dev,
         libgmp-dev,
         libkf5torrent6abi1 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:libkf5archive-dev},
         ${sameVersionDep:libkf5config-dev},
         ${sameVersionDep:libkf5kio-dev},
         ${sameVersionDep:qtbase5-dev},
Description: development files for the KTorrent Library
 The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
 the BitTorrent protocol (mostly client side).
 .
 This package contains header files, CMake modules and other files needed for
 developing and compiling/linking which use the KTorrent library.

Package: libktorrent-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends}
Description: localization files for the KTorrent library
 The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
 the BitTorrent protocol (mostly client side).
 .
 This package contains translations of the KTorrent library.

## libktorrent 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "21")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== src/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-ktorrent.h.cmake ${CMAKE_BINARY_DIR}/config-ktorrent.h)

remove_definitions(-DQT_NO_HTTP)

add_library(KF5Torrent)
add_library(KF5::Torrent ALIAS KF5Torrent)
set_target_properties(KF5Torrent PROPERTIES
    VERSION     ${RELEASE_SERVICE_VERSION}
    SOVERSION   ${SOVERSION}
    EXPORT_NAME Torrent
)

target_sources(KF5Torrent PRIVATE
    util/bitset.cpp
    util/timer.cpp
    util/urlencoder.cpp
    util/sha1hashgen.cpp
    util/sha1hash.cpp
    util/functions.cpp
    util/ptrmap.cpp
    util/array.cpp
    util/error.cpp
    util/file.cpp
    util/fileops.cpp
    util/log.cpp
    util/waitjob.cpp
    util/autorotatelogjob.cpp
    util/compressfilejob.cpp
    util/decompressfilejob.cpp
    util/extractfilejob.cpp
    util/logsystemmanager.cpp
    util/pipe.cpp
    util/circularbuffer.cpp
    util/resourcemanager.cpp
    util/bufferpool.cpp

    bcodec/bdecoder.cpp
    bcodec/bencoder.cpp
    bcodec/bnode.cpp
    bcodec/value.cpp

    net/address.cpp
    net/packetsocket.cpp
    net/portlist.cpp
    net/socket.cpp
    net/socketmonitor.cpp
    net/speed.cpp
    net/uploadthread.cpp
    net/downloadthread.cpp
    net/networkthread.cpp
    net/socketgroup.cpp
    net/socks.cpp
    net/wakeuppipe.cpp
    net/reverseresolver.cpp
    net/socketdevice.cpp
    net/poll.cpp
    net/serversocket.cpp
    net/addressresolver.cpp
    net/trafficshapedsocket.cpp
    net/streamsocket.cpp

    mse/bigint.cpp
    mse/functions.cpp
    mse/rc4encryptor.cpp
    mse/encryptedpacketsocket.cpp
    mse/encryptedauthenticate.cpp
    mse/encryptedserverauthenticate.cpp

    peer/authenticatebase.cpp
    peer/authenticate.cpp
    peer/serverauthenticate.cpp
    peer/authenticationmonitor.cpp
    peer/chunkcounter.cpp
    peer/peerid.cpp
    peer/peer.cpp
    peer/peermanager.cpp
    peer/peerdownloader.cpp
    peer/peeruploader.cpp
    peer/packetreader.cpp
    peer/peerprotocolextension.cpp
    peer/utpex.cpp
    peer/utmetadata.cpp
    peer/accessmanager.cpp
    peer/badpeerslist.cpp
    peer/peerconnector.cpp
    peer/superseeder.cpp
    peer/connectionlimit.cpp

    #download/piece.cpp all the code is inlined
    #download/request.cpp all the code is inlined
    download/packet.cpp
    download/webseed.cpp
    download/chunkdownload.cpp
    download/chunkselector.cpp
    download/downloader.cpp
    download/httpconnection.cpp
    download/httpresponseheader.cpp
    download/streamingchunkselector.cpp

    interfaces/piecedownloader.cpp
    interfaces/peerinterface.cpp
    interfaces/peersource.cpp
    interfaces/torrentinterface.cpp
    interfaces/torrentfileinterface.cpp
    interfaces/trackerslist.cpp
    interfaces/logmonitorinterface.cpp
    interfaces/blocklistinterface.cpp
    interfaces/exitoperation.cpp
    interfaces/chunkdownloadinterface.cpp
    interfaces/monitorinterface.cpp
    interfaces/queuemanagerinterface.cpp
    interfaces/chunkselectorinterface.cpp
    interfaces/cachefactory.cpp
    interfaces/webseedinterface.cpp
    interfaces/trackerinterface.cpp
    interfaces/serverinterface.cpp

    torrent/globals.cpp
    torrent/server.cpp
    torrent/torrent.cpp
    torrent/torrentfile.cpp
    torrent/peersourcemanager.cpp
    torrent/uploader.cpp
    torrent/timeestimator.cpp
    torrent/statsfile.cpp
    torrent/choker.cpp
    torrent/advancedchokealgorithm.cpp
    torrent/torrentcontrol.cpp
    torrent/torrentcreator.cpp
    torrent/torrentstats.cpp
    torrent/jobqueue.cpp
    torrent/job.cpp
    torrent/torrentfilestream.cpp

    dht/announcetask.cpp
    dht/dht.cpp
    dht/kclosestnodessearch.cpp
    dht/nodelookup.cpp
    dht/rpcmsg.cpp
    dht/rpcmsgfactory.cpp
    dht/taskmanager.cpp
    dht/database.cpp
    dht/dhtpeersource.cpp
    dht/key.cpp
    dht/pack.cpp
    dht/rpcserver.cpp
    dht/rpcserverinterface.cpp
    dht/dhtbase.cpp
    dht/kbucket.cpp
    dht/kbucketentry.cpp
    dht/kbuckettable.cpp
    dht/node.cpp
    dht/rpccall.cpp
    dht/task.cpp
    dht/packednodecontainer.cpp
    dht/errmsg.cpp
    dht/pingreq.cpp
    dht/findnodereq.cpp
    dht/getpeersreq.cpp
    dht/announcereq.cpp
    dht/pingrsp.cpp
    dht/findnodersp.cpp
    dht/getpeersrsp.cpp
    dht/announcersp.cpp

    diskio/cache.cpp
    diskio/chunk.cpp
    diskio/dndfile.cpp
    diskio/singlefilecache.cpp
    diskio/multifilecache.cpp
    diskio/preallocationthread.cpp
    diskio/preallocationjob.cpp
    diskio/movedatafilesjob.cpp
    diskio/deletedatafilesjob.cpp
    diskio/piecedata.cpp
    diskio/cachefile.cpp
    diskio/chunkmanager.cpp

    tracker/httptracker.cpp
    tracker/tracker.cpp
    tracker/udptracker.cpp
    tracker/udptrackersocket.cpp
    tracker/trackermanager.cpp
    #tracker/httpannouncejob.cpp
    tracker/kioannouncejob.cpp

    datachecker/datachecker.cpp
    datachecker/datacheckerthread.cpp
    datachecker/singledatachecker.cpp
    datachecker/multidatachecker.cpp
    datachecker/datacheckerjob.cpp

    magnet/magnetdownloader.cpp
    magnet/magnetlink.cpp
    magnet/metadatadownload.cpp

    utp/utpserver.cpp
    utp/utpserverthread.cpp
    utp/connection.cpp
    utp/localwindow.cpp
    utp/remotewindow.cpp
    utp/utpsocket.cpp
    utp/timevalue.cpp
    utp/utpprotocol.cpp
    utp/pollpipe.cpp
    utp/delaywindow.cpp
    utp/outputqueue.cpp
    utp/packetbuffer.cpp

    upnp/soap.cpp
    upnp/upnpmcastsocket.cpp
    upnp/upnprouter.cpp
    upnp/upnpdescriptionparser.cpp
    upnp/httprequest.cpp

    version.cpp
)

if(NOT WIN32)
# Add signalcatcher.cpp for all builds except WIN32
    target_sources(KF5Torrent PRIVATE util/signalcatcher.cpp)
endif(NOT WIN32)

if(WIN32)
# Compile stuff for windows
    target_sources(KF5Torrent PRIVATE util/win32.cpp)
endif(WIN32)


# ki18n_wrap_ui(KF5Torrent ${libktorrent_UI})
# kconfig_add_kcfg_files(KF5Torrent settings.kcfgc)

generate_export_header(KF5Torrent BASE_NAME ktorrent)

target_link_libraries(KF5Torrent
PRIVATE
    qca-qt5
PUBLIC
    KF5::Archive
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::Solid
    KF5::I18n
    Qt5::Xml
    Boost::boost
    LibGcrypt::LibGcrypt
    LibGMP::LibGMP
)

if(WIN32)
target_link_libraries(KF5Torrent ws2_32)
endif(WIN32)
target_include_directories(KF5Torrent INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/libktorrent>")
target_include_directories(KF5Torrent PUBLIC "$<BUILD_INTERFACE:${LIBKTORRENT_SOURCE_DIR}/src;${LIBKTORRENT_BINARY_DIR}/src;${LIBKTORRENT_BINARY_DIR}>")


install(TARGETS KF5Torrent EXPORT KF5TorrentTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

set (interfaces_HDR
    interfaces/peerinterface.h
    interfaces/queuemanagerinterface.h
    interfaces/exitoperation.h
    interfaces/chunkdownloadinterface.h
    interfaces/trackerslist.h
    interfaces/torrentinterface.h
    interfaces/logmonitorinterface.h
    interfaces/piecedownloader.h
    interfaces/monitorinterface.h
    interfaces/blocklistinterface.h
    interfaces/torrentfileinterface.h
    interfaces/peersource.h
    interfaces/chunkselectorinterface.h
    interfaces/cachefactory.h
    interfaces/webseedinterface.h
    interfaces/trackerinterface.h
    interfaces/serverinterface.h
)

set (ktorrent_HDR
    ${CMAKE_CURRENT_BINARY_DIR}/ktorrent_export.h
    ${CMAKE_BINARY_DIR}/libktorrent_version.h
    version.h
)

set (bcodec_HDR
    bcodec/bencoder.h
    bcodec/bnode.h
    bcodec/bdecoder.h
    bcodec/value.h
)

install(FILES ${bcodec_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/libktorrent/bcodec COMPONENT Devel)
install(FILES ${interfaces_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/libktorrent/interfaces COMPONENT Devel)
install(FILES ${migrate_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/libktorrent/migrate COMPONENT Devel)
install(FILES ${ktorrent_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/libktorrent COMPONENT Devel)

add_subdirectory(torrent)
add_subdirectory(datachecker)
add_subdirectory(download)
add_subdirectory(diskio)
add_subdirectory(peer)
add_subdirectory(net)
add_subdirectory(mse)
add_subdirectory(magnet)
add_subdirectory(util)
add_subdirectory(utp)
add_subdirectory(upnp)
add_subdirectory(tracker)
add_subdirectory(dht)

=== src/net/CMakeLists.txt ===
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

set(net_HDR
    socks.h
    packetsocket.h
    trafficshapedsocket.h
    streamsocket.h
    downloadthread.h
    address.h
    addressresolver.h
    socketgroup.h
    portlist.h
    networkthread.h
    socket.h
    speed.h
    uploadthread.h
    socketmonitor.h
    reverseresolver.h
    socketdevice.h
    poll.h
    wakeuppipe.h
    serversocket.h
)

install(FILES ${net_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/libktorrent/net COMPONENT Devel)

=== src/tracker/CMakeLists.txt ===
set(tracker_HDR
    tracker.h
    udptracker.h
    udptrackersocket.h
    httptracker.h
    trackermanager.h
    kioannouncejob.h
)

install(FILES ${tracker_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/libktorrent/tracker COMPONENT Devel)

=== src/upnp/CMakeLists.txt ===
set (upnp_HDR
    upnprouter.h
    upnpmcastsocket.h
)

install(FILES ${upnp_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/libktorrent/upnp COMPONENT Devel)

=== src/utp/CMakeLists.txt ===
set(utp_HDR
    utpserver.h
    utpserverthread.h
    utpprotocol.h
    utpsocket.h
    connection.h
    localwindow.h
    remotewindow.h
    timevalue.h
    pollpipe.h
    delaywindow.h
    packetbuffer.h
)

install(FILES ${utp_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/libktorrent/utp COMPONENT Devel)
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== src/datachecker/tests/CMakeLists.txt ===
include(ECMAddTests)
ecm_add_test(datacheckertest.cpp LINK_LIBRARIES testlib KF5::Torrent Qt5::Test)

=== src/dht/tests/CMakeLists.txt ===
include(ECMAddTests)
ecm_add_test(rpcmsgtest.cpp LINK_LIBRARIES testlib KF5::Torrent Qt5::Test)
ecm_add_test(keytest.cpp LINK_LIBRARIES testlib KF5::Torrent Qt5::Test)

=== src/download/tests/CMakeLists.txt ===
include(ECMAddTests)
ecm_add_test(streamingchunkselectortest.cpp LINK_LIBRARIES testlib KF5::Torrent Qt5::Test)

=== src/magnet/tests/CMakeLists.txt ===
include(ECMAddTests)
ecm_add_test(magnetlinktest.cpp LINK_LIBRARIES testlib KF5::Torrent Qt5::Test)

=== src/utp/tests/CMakeLists.txt ===
include(ECMAddTests)
ecm_add_test(localwindowtest.cpp LINK_LIBRARIES KF5::Torrent Qt5::Test)
ecm_add_test(remotewindowtest.cpp LINK_LIBRARIES KF5::Torrent Qt5::Test)
ecm_add_test(connectiontest.cpp LINK_LIBRARIES KF5::Torrent Qt5::Test)
ecm_add_test(sendtest.cpp LINK_LIBRARIES KF5::Torrent Qt5::Test)
ecm_add_test(connecttest.cpp LINK_LIBRARIES KF5::Torrent Qt5::Test)
ecm_add_test(transmittest.cpp LINK_LIBRARIES KF5::Torrent Qt5::Test)
ecm_add_test(packetlosstest.cpp LINK_LIBRARIES KF5::Torrent Qt5::Test)
ecm_add_test(fintest.cpp LINK_LIBRARIES KF5::Torrent Qt5::Test)
ecm_add_test(sockettest.cpp LINK_LIBRARIES KF5::Torrent Qt5::Test)
ecm_add_test(utppolltest.cpp LINK_LIBRARIES KF5::Torrent Qt5::Test)
ecm_add_test(delaywindowtest.cpp LINK_LIBRARIES KF5::Torrent Qt5::Test)
ecm_add_test(packetbuffertest.cpp LINK_LIBRARIES KF5::Torrent Qt5::Test)

=== debian/changelog ===
libktorrent (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:18:49 +0000

libktorrent (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:25:23 +0000

libktorrent (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:33:12 +0000

libktorrent (21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:30:18 +0000

libktorrent (21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:13:13 +0000

libktorrent (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:25:36 +0000

libktorrent (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:32:29 +0000

libktorrent (21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:47:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libktorrent
 Section: libs
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -23,8 +24,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/applications/internet/ktorrent/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/libktorrent.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/libktorrent
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libktorrent
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libktorrent
 
 Package: libkf5torrent6abi1
 X-Debian-ABI: 1

## libktorrent 22.08.1

=== debian/changelog ===
libktorrent (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:47:55 +0100

libktorrent (22.08.0-0ubuntu2) kinetic; urgency=medium

  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Aug 2022 16:27:49 +0100

libktorrent (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Refresh enable_debianabimanager.diff
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:57:06 +0100

libktorrent (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:35:09 +0100

libktorrent (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:09:49 +0100

libktorrent (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:09:01 +0100

libktorrent (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:56:20 +0100

## libktorrent 22.12.1

=== debian/changelog ===
libktorrent (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:21:13 +0000

libktorrent (22.12.0-3ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Do not follow debianabimanager bumps.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Dec 2022 10:11:07 +0000

libktorrent (22.12.0-3) unstable; urgency=medium

  * Team upload.
  * Update the symbols files, also from the logs of buildds.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Use execute_after_dh_shlibdeps to avoid invoking dh_shlibdeps manually.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Fri, 16 Dec 2022 12:58:09 +0100

libktorrent (22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:05:01 +0100

libktorrent (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:08 +0100

libktorrent (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:17:23 +0000

libktorrent (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:13:33 +0000

libktorrent (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:55:58 +0000

libktorrent (22.08.3-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 24 Nov 2022 22:25:08 +0100

libktorrent (22.08.3-3) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Update more symbols from buildds for 22.08.3.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 23 Nov 2022 22:05:07 +0100

libktorrent (22.08.3-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 22.08.3.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 23 Nov 2022 10:39:59 +0100

libktorrent (22.08.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Added myself to the uploaders.
  * ABI bump due to removed symbol:
    - rename library to libkf5torrent6abi3
    - update symbols, installed files
  * Build with hardening=+all build hardening flag.
  * Drop patch set-pathmax.diff, applied upstream.
  * Drop dbg package migration rule, not needed anymore.
  * Rewrite copyright information in DEP5 machine readable format.
  * Move Salsa URLs from extras group to KDE now that ktorrent is released
    with KDE Gear.
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * Refresh patch enable_debianabimanager.diff.
  * Update symbols from build for 22.08.3.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 20 Nov 2022 17:53:23 +0100

libktorrent (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:16:20 +0000

## libktorrent 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_policy(SET CMP0057 NEW)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "21")
+set (RELEASE_SERVICE_VERSION_MAJOR "22")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
 set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
@@ -12,7 +12,7 @@
 set(Boost_MIN_VERSION "1.71.0")
 set(LibGMP_MIN_VERSION "6.0.0")
 set(LibGcrypt_MIN_VERSION "1.4.5")
-set(KF5_MIN_VERSION "5.82")
+set(KF5_MIN_VERSION "5.85")
 set(QT_MIN_VERSION "5.15.0")
 
 set (SOVERSION 6)
@@ -22,9 +22,9 @@
 # set some default settings
 enable_testing()
 
-find_package(ECM ${KF5_MIN_VERSION}  NO_MODULE)
+find_package(ECM ${KF5_MIN_VERSION} NO_MODULE)
 
-set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
 
 #
 # checks for functions and stuff
@@ -35,7 +35,8 @@
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings  NO_POLICY_SCOPE)
+set(KDE_COMPILERSETTINGS_LEVEL "5.82")
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(FeatureSummary)
 include(GenerateExportHeader)
 include(ECMMarkAsTest)
@@ -52,7 +53,7 @@
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5TorrentConfigVersion.cmake"
                         SOVERSION "${SOVERSION}")
 
-find_package(Qt5 "${QT_MIN_VERSION}" CONFIG REQUIRED COMPONENTS
+find_package(Qt${QT_MAJOR_VERSION} "${QT_MIN_VERSION}" CONFIG REQUIRED COMPONENTS
     Core
     Network
     Xml
@@ -71,7 +72,7 @@
 find_package(Boost "${Boost_MIN_VERSION}" MODULE REQUIRED)
 find_package(LibGMP "${LibGMP_MIN_VERSION}" REQUIRED)
 find_package(LibGcrypt "${LibGcrypt_MIN_VERSION}" REQUIRED)
-find_package(Qca-qt5 CONFIG REQUIRED)
+find_package(Qca-qt${QT_MAJOR_VERSION} CONFIG REQUIRED)
 
 kde_enable_exceptions()
 add_definitions(
@@ -126,7 +127,7 @@
 configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5TorrentConfig.cmake.in"
                               "${CMAKE_CURRENT_BINARY_DIR}/KF5TorrentConfig.cmake"
                               INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
-                              PATH_VARS INCLUDE_INSTALL_DIR
+                              PATH_VARS KDE_INSTALL_INCLUDEDIR
                               )
 
 # Install the CMake modules needed to use libktorrent
@@ -139,6 +140,8 @@
 
 install(EXPORT KF5TorrentTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5TorrentTargets.cmake NAMESPACE KF5:: )
 
+ki18n_install(po)
+
 # add clang-format target for all our real source files
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
@@ -146,4 +149,3 @@
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
-ki18n_install(po)

=== testlib/CMakeLists.txt ===
add_library(testlib STATIC)

target_sources(testlib PRIVATE
    utils.cpp
    dummytorrentcreator.cpp
)

target_include_directories(testlib PUBLIC "$<BUILD_INTERFACE:${LIBKTORRENT_SOURCE_DIR}/testlib;${LIBKTORRENT_SOURCE_DIR}>")

target_link_libraries(testlib KF5::Torrent KF5::KIOCore KF5::Crash)

=== src/peer/CMakeLists.txt ===
set(peer_HDR
    peeruploader.h
    peer.h
    peermanager.h
    authenticatebase.h
    authenticate.h
    peerprotocolextension.h
    utpex.h
    utmetadata.h
    packetreader.h
    authenticationmonitor.h
    peerid.h
    peerdownloader.h
    chunkcounter.h
    serverauthenticate.h
    accessmanager.h
    peerconnector.h
    superseeder.h
    connectionlimit.h
)

install(FILES ${peer_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/libktorrent/peer COMPONENT Devel)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== src/mse/tests/CMakeLists.txt ===
include(ECMAddTests)
ecm_add_test(rc4encryptortest.cpp LINK_LIBRARIES KF5::Torrent Qt::Test)

=== src/net/tests/CMakeLists.txt ===
include(ECMAddTests)
ecm_add_test(polltest.cpp LINK_LIBRARIES KF5::Torrent Qt::Test)
ecm_add_test(wakeuppipetest.cpp LINK_LIBRARIES KF5::Torrent Qt::Test)

=== src/peer/tests/CMakeLists.txt ===
include(ECMAddTests)
ecm_add_test(superseedtest.cpp LINK_LIBRARIES KF5::Torrent Qt::Test)
ecm_add_test(packetreadertest.cpp LINK_LIBRARIES KF5::Torrent Qt::Test)
ecm_add_test(connectionlimittest.cpp LINK_LIBRARIES KF5::Torrent Qt::Test)
ecm_add_test(accessmanagertest.cpp LINK_LIBRARIES KF5::Torrent Qt::Test)

=== src/util/tests/CMakeLists.txt ===
include(ECMAddTests)
ecm_add_test(circularbuffertest.cpp LINK_LIBRARIES KF5::Torrent Qt::Test)
if(NOT MSVC)
ecm_add_test(signalcatchertest.cpp LINK_LIBRARIES KF5::Torrent Qt::Test)
endif(NOT MSVC)
ecm_add_test(resourcemanagertest.cpp LINK_LIBRARIES KF5::Torrent Qt::Test)
ecm_add_test(fileopstest.cpp LINK_LIBRARIES KF5::Torrent Qt::Test)
ecm_add_test(bufferpooltest.cpp LINK_LIBRARIES KF5::Torrent Qt::Test)

=== debian/changelog ===
libktorrent (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:04 +0100

libktorrent (22.12.1-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Explicitly add the pkg-kde-tools build dependency, as dh_sameversiondep
    is used (not included in the kf5 sequence).

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:40:36 +0100

=== debian/control ===
Source: libktorrent
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.85~),
               gettext,
               libboost-dev (>= 1.71.0~),
               libgcrypt20-dev (>= 1.4.5~),
               libgmp-dev,
               libkf5archive-dev (>= 5.85~),
               libkf5crash-dev (>= 5.85~),
               libkf5i18n-dev (>= 5.85~),
               libkf5kio-dev (>= 5.85~),
               libkf5solid-dev (>= 5.85~),
               libqca-qt5-2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.kde.org/applications/internet/ktorrent/
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libktorrent.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libktorrent

Package: libkf5torrent6abi3
X-Debian-ABI: 3
X-CMake-Target: KF5Torrent
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Suggests: libktorrent-l10n (>= ${source:Version}),
Description: KTorrent library for C++ / Qt 5 / KDE Frameworks
 The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
 the BitTorrent protocol (mostly client side).
 .
 The library supports connectivity to HTTP and UDP trackers, mainline DHT and
 the new generation Micro Transport Protocol (uTP). In addition, it provides
 many powerful BitTorrent network features including but not limited to torrent
 downloading and seeding, torrent creation and downloaded data verification,
 magnet links, advanced peer management, IP blocking lists.

Package: libktorrent-dev
Architecture: any
Section: libdevel
Depends: libboost-dev (>= 1.71.0~),
         libgcrypt20-dev (>= 1.4.5~),
         libgmp-dev,
         libkf5torrent6abi3 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:libkf5archive-dev},
         ${sameVersionDep:libkf5config-dev},
         ${sameVersionDep:libkf5kio-dev},
         ${sameVersionDep:qtbase5-dev},
Description: development files for the KTorrent Library
 The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
 the BitTorrent protocol (mostly client side).
 .
 This package contains header files, CMake modules and other files needed for
 developing and compiling/linking which use the KTorrent library.

Package: libktorrent-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends},
Description: localization files for the KTorrent library
 The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
 the BitTorrent protocol (mostly client side).
 .
 This package contains translations of the KTorrent library.

## libktorrent 23.08.0

=== debian/changelog ===
libktorrent (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:01:19 +0100

libktorrent (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:40:44 +0100

libktorrent (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:57:00 +0100

libktorrent (23.04.2-0ubuntu1) mantic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (23.04.1)
  * Update installed files
  * New upstream release (23.04.2)

  [ Rik Mills ]
  * Build depend explicitly on pkg-kde-tools. Fixes lintian error
    'missing-build-dependency-for-dh_-command dh_sameversiondep'.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:02:42 +0100

libktorrent (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:45:35 +0000

libktorrent (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:29:01 -0600

## libktorrent 23.08.1

=== debian/changelog ===
libktorrent (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:06:18 +0100

## libktorrent 23.08.4

=== debian/changelog ===
libktorrent (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:22:30 +0000

libktorrent (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:43:00 +0000

libktorrent (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:39:00 +0100

## libktorrent 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,9 @@
 cmake_policy(SET CMP0057 NEW)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 
@@ -47,7 +47,13 @@
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
-
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+    set(KF_MIN_VERSION "5.240.0")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
+endif()
 ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX LIBKTORRENT
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/libktorrent_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5TorrentConfigVersion.cmake"
@@ -60,8 +66,12 @@
     Test
 )
 
+if (QT_MAJOR_VERSION STREQUAL "6")
+    find_package(Qt6Core5Compat REQUIRED)
+endif()
+
 # Load the frameworks we need
-find_package(KF5 "${KF5_MIN_VERSION}" REQUIRED COMPONENTS
+find_package(KF${KF_MAJOR_VERSION} "${KF5_MIN_VERSION}" REQUIRED COMPONENTS
     Archive
     Crash
     I18n

=== src/dht/tests/CMakeLists.txt ===
include(ECMAddTests)
ecm_add_test(rpcmsgtest.cpp LINK_LIBRARIES testlib KF5::Torrent Qt::Test)
ecm_add_test(keytest.cpp LINK_LIBRARIES testlib KF5::Torrent Qt::Test)

=== debian/changelog ===
libktorrent (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:05:40 +0000

libktorrent (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:38:38 +0000

libktorrent (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:25:23 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libktorrent
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -18,21 +19,21 @@
                libkf5solid-dev (>= 5.85~),
                libqca-qt5-2-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.15.16),
+               pkg-kde-tools,
                qtbase5-dev (>= 5.15.0~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/applications/internet/ktorrent/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libktorrent.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libktorrent
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libktorrent
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libktorrent
 
-Package: libkf5torrent6abi3
-X-Debian-ABI: 3
+Package: libkf5torrent6abi1
+X-Debian-ABI: 1
 X-CMake-Target: KF5Torrent
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Suggests: libktorrent-l10n (>= ${source:Version}),
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: libktorrent-l10n (>= ${source:Version})
 Description: KTorrent library for C++ / Qt 5 / KDE Frameworks
  The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
  the BitTorrent protocol (mostly client side).
@@ -49,7 +50,7 @@
 Depends: libboost-dev (>= 1.71.0~),
          libgcrypt20-dev (>= 1.4.5~),
          libgmp-dev,
-         libkf5torrent6abi3 (= ${binary:Version}),
+         libkf5torrent6abi1 (= ${binary:Version}),
          ${misc:Depends},
          ${sameVersionDep:libkf5archive-dev},
          ${sameVersionDep:libkf5config-dev},
@@ -65,7 +66,7 @@
 Package: libktorrent-l10n
 Architecture: all
 Section: localization
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: localization files for the KTorrent library
  The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
  the BitTorrent protocol (mostly client side).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

execute_after_dh_shlibdeps:
	dh_sameversiondep

.PHONY: override_dh_auto_test
